import request from "../../common/request"
import { SYS_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/form/generate/save",
			method: "post",
			header: {
				"Content-Type":
					"application/x-www-form-urlencoded; charset=utf-8",
			},
			data: inputForm,
		});
	},

	queryById: function (params) {
		return request({
			url: prefix + "/form/generate/queryById",
			method: "get",
			params: params,
		});
	},

	delete: function (params) {
		return request({
			url: prefix + "/form/generate/delete",
			method: "delete",
			params: params,
		});
	},

	list: function (params) {
		return request({
			url: prefix + "/form/generate/list",
			method: "get",
			params: params,
		});
	},
};
